# -*- coding: utf-8 -*-
from qgis.PyQt.QtCore import QCoreApplication

# Siligites.py
QCoreApplication.translate("SiligitesDialogBase", "Chargement en cours... Le téléchargement des données peut prendre quelques minutes")
QCoreApplication.translate("SiligitesDialogBase", "Veuillez patienter... Le téléchargement des données peut prendre quelques minutes")
QCoreApplication.translate("SiligitesDialogBase", "Téléchargement de la couche des départements français...")
QCoreApplication.translate("SiligitesDialogBase", "Téléchargement de la couche des communes françaises...")
QCoreApplication.translate("SiligitesDialogBase", "Mise en place du provider pour faire le lien avec R...")
QCoreApplication.translate("SiligitesDialogBase", "Chargement des différents outils...")
QCoreApplication.translate("SiligitesDialogBase", "Télécharger les couches de données par défaut ?")
QCoreApplication.translate("SiligitesDialogBase", "Siligîtes vous propose d'utiliser des données par défaut pour vos analyses.")
QCoreApplication.translate("SiligitesDialogBase", "Vous pouvez soit les télécharger maintenant (stockage au sein de l'extension),")
QCoreApplication.translate("SiligitesDialogBase", "soit utiliser leurs versions en ligne et/ou les télécharger plus tard")
QCoreApplication.translate("SiligitesDialogBase", "Télécharger les données maintenant : Le plugin prendra plus de temps à s'installer, mais le temps de traitement des outils lors de leur utilisation ne sera pas affecté")
QCoreApplication.translate("SiligitesDialogBase", "OU")
QCoreApplication.translate("SiligitesDialogBase", "Passer et utiliser les versions en ligne : Installation plus rapide, mais la performance de certains outils peut être affectée pendant quelques minutes après le chargement des couches dans le projet")
QCoreApplication.translate("SiligitesDialogBase", "Télécharger")
QCoreApplication.translate("SiligitesDialogBase", "Passer")
QCoreApplication.translate("SiligitesDialogBase","Terminé !")
QCoreApplication.translate("SiligitesDialogBase","Installation terminée. Pour utiliser l'outil de création/modification de scripts R, il est cependant nécessaire de relancer une nouvelle fenêtre QGIS")

# Silextracteur_dialog.py
QCoreApplication.translate("SilextracteurDialogBase", "Avancement dans la récupération des formations géologiques")
QCoreApplication.translate("SilextracteurDialogBase", "Sélectionner la couche des communes (6/8)")
QCoreApplication.translate("SilextracteurDialogBase", "Formation géologique sélectionnée (Nombre d'éléments sélectionnés: {}) (6/6)")
QCoreApplication.translate("SilextracteurDialogBase", "Chargement en cours... Le téléchargement des données peut prendre quelques minutes")
QCoreApplication.translate("SilextracteurDialogBase", "Téléchargement de la couche des départements français...")
QCoreApplication.translate("SilextracteurDialogBase", "Téléchargement de la couche des communes françaises...")
QCoreApplication.translate("SilextracteurDialogBase", "Vérification de l'installation...")
QCoreApplication.translate("SilextracteurDialogBase", "Terminé !")
QCoreApplication.translate("SilextracteurDialogBase", "Sélectionnez la zone d'extraction recherchée (1/6)")
QCoreApplication.translate("SilextracteurDialogBase", "La couche sélectionnée ne contient aucun champ.. Veuillez changer de couche")
QCoreApplication.translate("SilextracteurDialogBase", "L'entité choisie n'a pas été trouvée dans la couche. Veuillez en choisir une autre")
QCoreApplication.translate("SilextracteurDialogBase", "Zone d'extraction sélectionnée (2/6)")
QCoreApplication.translate("SilextracteurDialogBase", "Sélectionnez la colonne de nom des entités administratives (3/6)")
QCoreApplication.translate("SilextracteurDialogBase", "La couche choisie n'a pas été trouvée, ou ne possède pas de champs utilisables")
QCoreApplication.translate("SilextracteurDialogBase", "La couche de limites administratives n'est pas disponible ou aucun champ sélectionné")
QCoreApplication.translate("SilextracteurDialogBase", "La couche de limites administratives ne possède pas le champ sélectionné")
QCoreApplication.translate("SilextracteurDialogBase", "Chargement des données depuis le WFS... (Cette étape peut prendre quelques instants...)")
QCoreApplication.translate("SilextracteurDialogBase", "Veuillez patienter")
QCoreApplication.translate("SilextracteurDialogBase", "Préparations terminées (Nombre d'éléments sélectionnés: {}) (4/6)")
QCoreApplication.translate("SilextracteurDialogBase", "Aucune formation sélectionnable")
QCoreApplication.translate("SilextracteurDialogBase", "Récupération des formations géologiques de l'entité administrative...")
QCoreApplication.translate("SilextracteurDialogBase", "Sélectionnez la formation géologique recherchée (Nombre d'éléments sélectionnés: {}) (5/6)")
QCoreApplication.translate("SilextracteurDialogBase", "Formation géologique sélectionnée (Nombre d'éléments sélectionnés: {}) (6/6)")
QCoreApplication.translate("SilextracteurDialogBase", "Sélectionnez la ville recherchée (7/8)")
QCoreApplication.translate("SilextracteurDialogBase", "La couche choisie n'a pas été trouvée, ou ne possède pas de champs utilisables")
QCoreApplication.translate("SilextracteurDialogBase", "Ville sélectionnée (8/8)")
QCoreApplication.translate("SilextracteurDialogBase", "Début de la sélection des entités")
QCoreApplication.translate("SilextracteurDialogBase", "Début de la sélection des entités (Nombre d'éléments sélectionnés: {})")
QCoreApplication.translate("SilextracteurDialogBase", "Extraction des données en cours...")
QCoreApplication.translate("SilextracteurDialogBase", "Fin de la sélection des couches géologiques. Terminer la sélection ou lancer une nouvelle recherche")
QCoreApplication.translate("SilextracteurDialogBase", "Une erreur c'est produite: Aucune formation n'a été extraite")
QCoreApplication.translate("SilextracteurDialogBase", "Erreur:")
QCoreApplication.translate("SilextracteurDialogBase", "Aucune formation récupérable")
QCoreApplication.translate("SilextracteurDialogBase", "Nombre de formations sélectionnées (Nombre d'éléments sélectionnés: {})")
QCoreApplication.translate("SilextracteurDialogBase", "Regroupement des polygones dans la couche finale...")
QCoreApplication.translate("SilextracteurDialogBase", "Succès:")
QCoreApplication.translate("SilextracteurDialogBase", "L'ajout à la couche finale a été réalisé avec succès")
QCoreApplication.translate("SilextracteurDialogBase", "La couche {} n'existe plus ou son nom a été modifié. Impossible de l'intégrer à la couche finale.")
QCoreApplication.translate("SilextracteurDialogBase", "Certaines des couches n'ont pu être intégrées à la couche finale car leur nom a été modifié. Consultez les messages d'erreur pour identifier lesquelles")
QCoreApplication.translate("SilextracteurDialogBase", "Extractions_Silextracteur")
QCoreApplication.translate("SilextracteurDialogBase", "Departements")
QCoreApplication.translate("SilextracteurDialogBase", "2 - Departements")
QCoreApplication.translate("SilextracteurDialogBase", "Nom_extraction")
QCoreApplication.translate("SilextracteurDialogBase", "Couches_Geologiques")

# SilLCP_dialog.py
QCoreApplication.translate("SilLCPDialogBase", "Extraction en cours...")
QCoreApplication.translate("SilLCPDialogBase", "Veuillez patienter")
QCoreApplication.translate("SilLCPDialogBase", "Extraction des points en cours...")
QCoreApplication.translate("SilLCPDialogBase", "Erreur:")
QCoreApplication.translate("SilLCPDialogBase", "Plus d'un point sélectionné ou sélectionnable dans la couche")
QCoreApplication.translate("SilLCPDialogBase", "Couche vecteur de points à relier avec des lignes droites")
QCoreApplication.translate("SilLCPDialogBase", "Couche vecteur de points avec le noeud servant de centre pour réseau de lignes droites en étoile")
QCoreApplication.translate("SilLCPDialogBase", "Il est possible d'utiliser soit une couche ne contenant qu'une entité(en utilisant par exemple le premier outil de ce plugin),")
QCoreApplication.translate("SilLCPDialogBase", "soit d'en utiliser une avec plusieurs entités, mais en sélectionnant une en avance")
QCoreApplication.translate("SilLCPDialogBase", "Noeuds du réseau :")
QCoreApplication.translate("SilLCPDialogBase", "Noeud central : ")
QCoreApplication.translate("SilLCPDialogBase", "Noeuds à relier : ")    
QCoreApplication.translate("SilLCPDialogBase", "Préparation de la création du réseau...")
QCoreApplication.translate("SilLCPDialogBase", "Préparation du réseau complet de lignes droites")
QCoreApplication.translate("SilLCPDialogBase", "Préparation du réseau en étoile de lignes droites")
QCoreApplication.translate("SilLCPDialogBase", "Nombre de points traités : 0/{}")
QCoreApplication.translate("SilLCPDialogBase", "Nombre de points traités : {}/{}")
QCoreApplication.translate("SilLCPDialogBase", "Nombre de points reliés : 0/{}")
QCoreApplication.translate("SilLCPDialogBase", "Nombre de points reliés : {}/{}")
QCoreApplication.translate("SilLCPDialogBase", "Sorties_{}")
QCoreApplication.translate("SilLCPDialogBase", "Extraction_depuis_{}")
QCoreApplication.translate("SilLCPDialogBase", "{}_sans_{}")
QCoreApplication.translate("SilLCPDialogBase", "Points_extraits_de_{}")
QCoreApplication.translate("SilLCPDialogBase", "Reseau_droites_complet_{}")
QCoreApplication.translate("SilLCPDialogBase", "Reseau_droites_etoile_depuis_{}")
QCoreApplication.translate("Le/la couche nécessaire à la création du réseau n'a pas été trouvée. Veuillez vérifier les couches séectionnées")

# Silanalyses_dialog.py
QCoreApplication.translate("SilanalysesDialogBase", "Fusion des couches...")
QCoreApplication.translate("SilanalysesDialogBase", "Veuillez patienter")
QCoreApplication.translate("SilanalysesDialogBase", "Problème avec les couches utilisées... Veuillez recommencer ou changer de couches")
QCoreApplication.translate("SilanalysesDialogBase", "Gestion des identifiants...")
QCoreApplication.translate("SilanalysesDialogBase", "Impossible de changer l'identifiant des entités, vérifiez que les couchent aient bien un champ id, Id, ID, fid ou FID")
QCoreApplication.translate("SilanalysesDialogBase", "Gestion du style...")
QCoreApplication.translate("SilanalysesDialogBase", "Succès:")
QCoreApplication.translate("SilanalysesDialogBase", "La couche fusionnée a été créée avec succès")
QCoreApplication.translate("SilanalysesDialogBase", "Avancement dans l'utilisation des outils")
QCoreApplication.translate("SilanalysesDialogBase", "Tri des arcs en fonction du temps...")
QCoreApplication.translate("SilanalysesDialogBase", "Tri des arcs en fonction de la distance...")
QCoreApplication.translate("SilanalysesDialogBase", "Tri des arcs en fonction du coût...")
QCoreApplication.translate("SilanalysesDialogBase", "Ajout des entités sélectionnées dans une nouvelle couche")
QCoreApplication.translate("SilanalysesDialogBase", "Calcule de la centralité du réseau simplifié")
QCoreApplication.translate("SilanalysesDialogBase", "Le réseau a été trié avec succès")
QCoreApplication.translate("SilanalysesDialogBase", "Attention:")
QCoreApplication.translate("SilanalysesDialogBase", "GRASS n'ayant pas été activé, le calcul de centralité n'a pas été réalisé")
QCoreApplication.translate("SilanalysesDialogBase", "Attention: GRASS n'ayant pas été activé, le calcul de centralité n'a pas été réalisé")
QCoreApplication.translate("SilanalysesDialogBase", "Un problème à eu lieu, aucun élément dans la couche ne correspond à la recherche")
QCoreApplication.translate("SilanalysesDialogBase", "Aucun élément dans la couche ne correspond à la recherche")
QCoreApplication.translate("SilanalysesDialogBase", "Erreur:")
QCoreApplication.translate("SilanalysesDialogBase", "Le champ choisi n'est ni un float, ni un string")
QCoreApplication.translate("SilanalysesDialogBase", "Le champ choisi n'est ni un float, ni un string")
QCoreApplication.translate("SilanalysesDialogBase", "Préparation du réseau")
QCoreApplication.translate("SilanalysesDialogBase", "Une des couches chosies n'a pas été trouvée, veuillez vérifier vos entrées")
QCoreApplication.translate("SilanalysesDialogBase", "Problème avec une des couches choisies")
QCoreApplication.translate("SilanalysesDialogBase", "Récupération des points du trajet...")
QCoreApplication.translate("SilanalysesDialogBase", "GRASS n'ayant pas été activé, l'outil ne peut fonctionner")
QCoreApplication.translate("SilanalysesDialogBase", "Une des entités chosies n'a pas été trouvée, veuillez vérifier vos entrées")
QCoreApplication.translate("SilanalysesDialogBase", "Problème avec une des entités choisies")
QCoreApplication.translate("SilanalysesDialogBase", "Recherche du chemin le plus court entre les points sélectionnés")
QCoreApplication.translate("SilanalysesDialogBase", "Recherche du chemin le plus rapide entre les points sélectionnés")
QCoreApplication.translate("SilanalysesDialogBase", "Recherche du chemin entre les points de départ et d'arrivée")
QCoreApplication.translate("SilanalysesDialogBase", "Aucun chemin n'a été trouvé")
QCoreApplication.translate("SilanalysesDialogBase", "Recherche du chemin le plus court entre les étapes du trajet...")
QCoreApplication.translate("SilanalysesDialogBase", "{} chemin(s) sur {} créé(s)...")
QCoreApplication.translate("SilanalysesDialogBase", "Fusion des étapes en un trajet...")
QCoreApplication.translate("SilanalysesDialogBase", "Tous les chemins n'ont pu être créés. {} point(s) hors du réseau")
QCoreApplication.translate("SilanalysesDialogBase", "L'itinéraire a été créé avec succès")
QCoreApplication.translate("SilanalysesDialogBase", "Problème avec le point de départ ou d'arrivée ! Vérifier qu'un seul point est ou peut être sélectionné")
QCoreApplication.translate("SilanalysesDialogBase", "Localisation du point de départ")
QCoreApplication.translate("SilanalysesDialogBase", "Localisation du point d'arrivée")
QCoreApplication.translate("SilanalysesDialogBase", "Localisation et tri des points du trajet")
QCoreApplication.translate("SilanalysesDialogBase", "Reseau_fusion")
QCoreApplication.translate("SilanalysesDialogBase", "{}_simplifié")
QCoreApplication.translate("SilanalysesDialogBase", "temps_<_")
QCoreApplication.translate("SilanalysesDialogBase", "distance_<_{}")
QCoreApplication.translate("SilanalysesDialogBase", "cout_<_{}")
QCoreApplication.translate("SilanalysesDialogBase", "Reseau_simplifie_{}")
QCoreApplication.translate("SilanalysesDialogBase", "Centralite_noeuds_{}")
QCoreApplication.translate("SilanalysesDialogBase", "_(avec_arrets)")
QCoreApplication.translate("SilanalysesDialogBase", "Etapes_{}")
QCoreApplication.translate("SilanalysesDialogBase", "Trajet_+_court")
QCoreApplication.translate("SilanalysesDialogBase", "Trajet_+_rapide")
QCoreApplication.translate("SilanalysesDialogBase", "Trajets_dans_{}")

# Fonctions_QGIS
QCoreApplication.translate("FonctionsQGIS", "Erreur lors du calcul de la centralité")
QCoreApplication.translate("FonctionsQGIS", "Erreur lors de l’extraction des nœuds")
QCoreApplication.translate("FonctionsQGIS", "Points_+_Proche_de_{}")
QCoreApplication.translate("FonctionsQGIS", "Points_+_Eloigne_de_{}")

# Utilitaires
QCoreApplication.translate("Utilitaires", "Le calque '{}' est invalide ou inaccessible : {}")
QCoreApplication.translate("Utilitaires", "Aucune entité récupérée")
QCoreApplication.translate("Utilitaires", "Regions_Naturelles")
QCoreApplication.translate("Utilitaires", "Departements")
QCoreApplication.translate("Utilitaires", "Centroïde des communes françaises")

# Provider.py
QCoreApplication.translate("SiliciteR", "Dossier contenant les scripts R")
QCoreApplication.translate("SiliciteR", "Utiliser des librairies déjà installées sur l'ordinateur")
QCoreApplication.translate("SiliciteR", "Dossier des librairies à utiliser")
QCoreApplication.translate("SiliciteR", "Répertoire des packages et librairies")
QCoreApplication.translate("SiliciteR", "Dossier contenant R")
QCoreApplication.translate("SiliciteR", "Utiliser la version 64bits de Windows")
QCoreApplication.translate("SiliciteR", "Processing")
QCoreApplication.translate("SiliciteR", "Impossible de charger le script R")
QCoreApplication.translate("SiliciteR", "SiliciteR")

# # Utils.py
QCoreApplication.translate("ParamsR", "Sortie de la console d'exécution R")
QCoreApplication.translate("ParamsR", "Sortie R")
QCoreApplication.translate("ParamsR", "Chemin binaire de R: {}")
QCoreApplication.translate("ParamsR", "Le dossier R n'est pas configuré correctement")
QCoreApplication.translate("ParamsR", "Veuillez le configurer avant d'exécuter les scripts R")
QCoreApplication.translate("ParamsR", "Cet algorithme nécessite l'exécution de R")
QCoreApplication.translate("ParamsR", "Malheureusement, il semble que R ne soit pas installé sur votre système ou qu'il ne soit pas correctement configuré pour être utilisé depuis QGIS")
QCoreApplication.translate("ParamsR", "Suivre ce lien pour en savoir plus sur l'installation et la configuration de R pour l'utiliser avec QGIS")

# algorithm.py
QCoreApplication.translate("SiliciteR", "[Unnamed algorithm]")
QCoreApplication.translate("SiliciteR", "Le script a une erreur de syntaxe")
QCoreApplication.translate("SiliciteR", "Exception {1} avec la ligne : {0}")
QCoreApplication.translate("SiliciteR", "R Console Output")
QCoreApplication.translate("SiliciteR", "HTML files (*.html)")
QCoreApplication.translate("SiliciteR", "R Plots")
QCoreApplication.translate("SiliciteR", "Exception {1} avec la ligne de l'aide : {0}...")
QCoreApplication.translate("SiliciteR", "Le script a une erreur de syntaxe dans le nom d'une variable")
QCoreApplication.translate("SiliciteR", "'{}' n'est pas valide comme nom de variable R")
QCoreApplication.translate("SiliciteR", "Problème avec la ligne : {}")
QCoreApplication.translate("SiliciteR", "Le dossier R n'est pas configuré")
QCoreApplication.translate("SiliciteR", "Attention de le configurer avant de lancer un script R")
QCoreApplication.translate("SiliciteR", "R execution commands")
QCoreApplication.translate("SiliciteR", "La couche {} n'est pas une couche GDAL. Actuellement, seules les couches raster basées sur GDAL sont prises en charge")
QCoreApplication.translate("SiliciteR", "Expression with name `{0}` and value `{1}` is malformed. " "Error: {2}.")
QCoreApplication.translate("SiliciteR", "Expression with name `{0}` and value `{1}` can not be evaluated. " "Error: {2}.")
QCoreApplication.translate("SiliciteR", "Sorties_{}")
QCoreApplication.translate("SiliciteR", "MNT en ligne")

# r_templates.py
QCoreApplication.translate("ParamsR", "La couche '{var}' a ete creee sans problemes")
QCoreApplication.translate("ParamsR", "Impossible de creer '{var}' : ")
QCoreApplication.translate("ParamsR", "Impossible de creer la couche '{var}' car celle-ci n'a pas ete produite durant l'analyse. Une erreur concernant cette couche va apparaitre, mais c'est normal")

# create_new_script.py
QCoreApplication.translate("SiliciteR", "Créer ou modifier un script R...")
QCoreApplication.translate("SiliciteR", "Outils")

# edit_script.py
QCoreApplication.translate("SiliciteR", "Modification du script…")
QCoreApplication.translate("SiliciteR", "Edition du script")
QCoreApplication.translate("SiliciteR", "Impossible de trouver le script correspondant")

# script_editor_dialog.py
QCoreApplication.translate("SiliciteR","# Voici quelques conseils et éléments importants pour la création de vos scripts R")
QCoreApplication.translate("SiliciteR","# Vous pouvez conserver les éléments qui vous intéressent et supprimer ceux qui ne vous servent pas)")
QCoreApplication.translate("SiliciteR","# 1. Groupe et nom du script")
QCoreApplication.translate("SiliciteR","#  Nom du groupe=group")
QCoreApplication.translate("SiliciteR","#  Nom du script=name")
QCoreApplication.translate("SiliciteR","# 2. Valeurs et couches en entrée du script." )
QCoreApplication.translate("SiliciteR","# Voici différents éléments possibles :")
QCoreApplication.translate("SiliciteR","#  Une couche vecteur (avec filtre) : ##Couche_vecteur=vector (point, polyline, polygon)")
QCoreApplication.translate("SiliciteR","#  Une couche raster : ##Couche_raster=raster")
QCoreApplication.translate("SiliciteR","#  Une couche optionelle : ##Couche_optionnelle=optional vector")
QCoreApplication.translate("SiliciteR","#  Le champ d'une couche : ##Nom_champ=Field Couche_vecteur")
QCoreApplication.translate("SiliciteR","#  Une valeur numérique avec une valeur par défaut : ##Nombre=number 0")
QCoreApplication.translate("SiliciteR","#  Une entrée de texte et sa valeur par défaut: ##Texte=string Test")
QCoreApplication.translate("SiliciteR","#  Un choix entre plusieurs valeurs numériques : ##Choix_nombre=enum literal 0;1;2;3;4 ;")
QCoreApplication.translate("SiliciteR","#  Un choix entre plusieurs valeurs de texte : ##Choix_texte=selection Option 1; Option 2; Option 3 ;")
QCoreApplication.translate("SiliciteR","# Attention, si vos créez une liste avec des choix que vous voulez ensuite utiliser pour trouver une valeur spécifique, voici une fonction à rajouter pouvant vous aider :")
QCoreApplication.translate("SiliciteR","# 3. Valeurs et couches de sortie du script")
QCoreApplication.translate("SiliciteR","#  Sortie d'une couche vecteur : ##Sortie_vecteur=output vector")
QCoreApplication.translate("SiliciteR","#  Sortie d'une couche raster : ##Sortie_raster=output raster")
QCoreApplication.translate("SiliciteR","#  Sortie d'un nombre : ##Sortie_nombre=output number")
QCoreApplication.translate("SiliciteR","#  Sortie d'un texte : ##Sortie_texte=output string")
QCoreApplication.translate("SiliciteR","#  Rajouter ceci en plus pour récupérer les différents étapes de l'analyse :")
QCoreApplication.translate("SiliciteR","# 4. Fonctions du script")
QCoreApplication.translate("SiliciteR","# Il est bien entendu possible d'utiliser tous les outils de base de R... :")
QCoreApplication.translate("SiliciteR","# ... ou d'utiliser des librairies installées ou non. Attention, voici un segment de code pouvant vous aider :")
QCoreApplication.translate("SiliciteR", "Script sans tittre")
QCoreApplication.translate("SiliciteR", "{} - Editeur de scripts R")
QCoreApplication.translate("SiliciteR", "Sauvegarder le script ?")
QCoreApplication.translate("SiliciteR", "Ce script contient des modifications non enregistrées. Voulez-vous les conserver ?")
QCoreApplication.translate("SiliciteR", "Modifications non enregistrées")
QCoreApplication.translate("SiliciteR", "Il y a des modifications non enregistrées dans le script. Continuer ?")
QCoreApplication.translate("SiliciteR", "Ouvrir le script")
QCoreApplication.translate("SiliciteR", "Scripts R (*.rsx *.RSX)")
QCoreApplication.translate("SiliciteR", "Sauvegarder le script")
QCoreApplication.translate("SiliciteR", "I/O error")
QCoreApplication.translate("SiliciteR", "Impossible d'enregistrer les modifications : {}")
QCoreApplication.translate("SiliciteR", "Erreur durant l'exécution")

# delete_script.py
QCoreApplication.translate("SiliciteR", "Supprimer le script…")
QCoreApplication.translate("SiliciteR", "Supprimer le script")
QCoreApplication.translate("SiliciteR", "Êtes-vous sur de vouloir supprimer ce script ?")
QCoreApplication.translate("SiliciteR", "Supprimer le script")
QCoreApplication.translate("SiliciteR", "Impossible de trouver le script correspondant.")
